Bug 882957 - HTML id attributes are not unique
HTML id attributes are not unique
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Jeff Weiss
sthirugn@redhat.com
: Triaged
Depends On: 882687
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-12-03 08:33 EST by Tom McKay
Modified: 2014-11-09 17:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 882687
Environment:
Last Closed: 2013-02-21 14:20:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2012-12-03 08:33:17 EST
+++ This bug was initially created as a clone of Bug #882687 +++

Description of problem:
2nd level nav item and 3rd level nav item have the same ID.
Example: subscriptions 2nd level nav, and Red Hat Subscriptions 3rd level nav, both have id "subscriptions".

This violates html spec and makes it more difficult for selenium to locate the proper element in UI automation.  

<li class="content second_level menu_parent" data-dropdown="subscriptions" data-menu="content" id="subscriptions">
  <div class="arrow_icon_menu"></div>
  <a href="/katello/subscriptions">Subscriptions</a>
  <ul style="display: none;" class="">
    <li class="content third_level" data-dropdown="subscriptions" data-menu="subscriptions" id="subscriptions">
      <a href="/katello/subscriptions">Red Hat Subscriptions</a>
    </li>
    <li class="content third_level" data-dropdown="subscriptions"
        data-menu="subscriptions" id="activation_keys">
      <a href="/katello/activation_keys">Activation Keys</a>
    </li>
    <li class="content third_level" data-dropdown="subscriptions" data-menu="subscriptions" id="import_history">
      <a href="/katello/subscriptions/history">Import History</a>
    </li>
  </ul>
</li>
Version-Release number of selected component (if applicable):
Katello Version: 1.2.1-1.git.581.56af41a.el6_3

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I hit this trying to make all our automation locators "locale independent", so we can no longer count on the link text being in English.  That's why we need the ids to be unique.

--- Additional comment from RHEL Product and Program Management on 2012-12-02 11:54:17 EST ---

Since this issue was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 1 Tom McKay 2012-12-03 08:34:03 EST
Important for test automation of localization.
Comment 2 Tom McKay 2012-12-03 12:57:49 EST
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 0dcd3d00d5b056e21174412edd2b2ea067410018
      https://github.com/Katello/katello/commit/0dcd3d00d5b056e21174412edd2b2ea067410018
  Author: Jeff Weiss <jweiss@redhat.com>
  Date:   2012-12-03 (Mon, 03 Dec 2012)
Comment 3 sthirugn@redhat.com 2013-01-08 13:58:58 EST
Tested and verified good in below version:
* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-11h.el6_3.noarch
* katello-cli-common-1.2.1-11h.el6_3.noarch
* katello-common-1.2.1-12h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.1-12h.el6_3.noarch
* katello-headpin-1.2.1-12h.el6_3.noarch
* katello-headpin-all-1.2.1-12h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 5 errata-xmlrpc 2013-02-21 14:20:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.